### Method

# AppStream Validator set_strict

since: 0.15.4

#### Declaration [src]

    void
    as_validator_set_strict (
      AsValidator* validator,
      gboolean is_strict
    )

#### Description [src]

Enable or disable strict mode. In strict mode, any found issue will result in a failed validation (except for issues of “pedantic” severity). Otherwise, only a “warning” or “error” will cause the validation to fail.

Available since: 0.15.4

#### Parameters

`is_strict`

  Type: `gboolean`

  `TRUE` to enable strict mode.